Last Comment Bug 683716 - Port bug 682803 |can't set address book in filters|
: Port bug 682803 |can't set address book in filters|
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Address Book & Contacts (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.6
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-31 14:02 PDT by Jens Hatlak (:InvisibleSmiley)
Modified: 2011-09-12 10:01 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
patch [Checkin: comments 3 and 4] (1.97 KB, patch)
2011-08-31 14:02 PDT, Jens Hatlak (:InvisibleSmiley)
mnyromyr: review+
neil: superreview+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Review

Description Jens Hatlak (:InvisibleSmiley) 2011-08-31 14:02:41 PDT
Created attachment 557314 [details] [diff] [review]
patch [Checkin: comments 3 and 4]

Bug 682803 just landed on comm-central, -aurora and -beta. We need to follow suit since we're affected, too and the code is not shared (but very similar). I only checked trunk so far.

Note that I hardly know what I'm doing here, just ported what the TB guys did.
Comment 1 neil@parkwaycc.co.uk 2011-09-01 13:25:28 PDT
Comment on attachment 557314 [details] [diff] [review]
patch [Checkin: comments 3 and 4]

I would want to retain the search-value-popup class; themes might be using it. sr=me with class="search-value-popup addrbooksPopup".

Do you know if there's a bug on removing abDirTreeOverlay.xul? It's the last "reference" to rdf:addressdirectory, but I think it's obsolete.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2011-09-01 15:28:37 PDT
(In reply to neil@parkwaycc.co.uk from comment #1)
> Do you know if there's a bug on removing abDirTreeOverlay.xul? It's the last
> "reference" to rdf:addressdirectory, but I think it's obsolete.

A simple Bugzilla search finds bug 677859, which was filed about three weeks ago by... you. Oblivious? ;-)
Comment 3 Jens Hatlak (:InvisibleSmiley) 2011-09-11 14:08:14 PDT
Comment on attachment 557314 [details] [diff] [review]
patch [Checkin: comments 3 and 4]

http://hg.mozilla.org/comm-central/rev/87d74a675cbc

Note You need to log in before you can comment on or make changes to this bug.